function [EEG,params]=readEEGSig(pathToFile,subject,number,maxFile)
    EEGcell=cell(maxFile,1);
    
    for i=1:maxFile
        [sig, ~, params] = load_bcidat(strcat(pathToFile,sprintf('%s/%s_B100%i/%s_B1S00%iR0%i.dat',subject,subject,number,subject,number,i)));
        EEGcell{i}=sig(:,1:32);
    end
    
    EEG=cell2mat(EEGcell);
end